Update Package request for ppc64-diag

Bug #1708494 reported by bugproxy on 2017-08-03
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
High
Canonical Foundations Team
ppc64-diag (Ubuntu)
High
Canonical Foundations Team
Trusty
High
Unassigned
Xenial
High
Canonical Foundations Team
Zesty
High
Canonical Foundations Team

Bug Description

---Problem Description---
Update Package request for ppc64-diag

---uname output---
Linux tuleta4u-lp9 4.10.0-27-generic #30~16.04.2-Ubuntu SMP Thu Jun 29 16:06:52 UTC 2017 ppc64le ppc64le ppc64le GNU/Linux

---Steps to Reproduce---
diag_encl

Userspace tool common name: ppc64-diag

ppc64-diag package update for ppc64le

ppc64-diag sits at the top of the RAS tools provided on POWER by IBM, consuming data from some, making determinations as to cause of failure, and attempting various strategies for recovery, depending on the situation. It also enriches the error logs provided from the kernel, giving users a better understanding as to cause and potential solution for a problem.

upstream repo : http://sourceforge.net/projects/linux-diag/files/ppc64-diag/

Current version : v2.7.4
~Ankit

Please pull upstream 2.7.4 ppc64-diag tag

bugproxy (bugproxy) on 2017-08-03
tags: added: architecture-ppc64 bugnameltc-156878 severity-high targetmilestone-inin16043
Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → ppc64-diag (Ubuntu)
tags: added: upgrade-software-version
Changed in ubuntu-power-systems:
assignee: nobody → Canonical Foundations Team (canonical-foundations)
importance: Undecided → High
Steve Langasek (vorlon) wrote :

Is ppc64-diag 2.7.4 the version that is needed for POWER9 compatibility?

Changed in ppc64-diag (Ubuntu):
importance: Undecided → High
status: New → Triaged
Changed in ppc64-diag (Ubuntu Xenial):
status: New → Triaged
Changed in ppc64-diag (Ubuntu Zesty):
status: New → Triaged
Changed in ppc64-diag (Ubuntu Xenial):
importance: Undecided → High
Changed in ppc64-diag (Ubuntu Zesty):
importance: Undecided → High
Changed in ppc64-diag (Ubuntu Xenial):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Changed in ppc64-diag (Ubuntu Zesty):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Changed in ppc64-diag (Ubuntu):
assignee: Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage) → Canonical Foundations Team (canonical-foundations)
Changed in ubuntu-power-systems:
assignee: Canonical Foundations Team (canonical-foundations) → nobody

------- Comment From <email address hidden> 2017-08-04 00:01 EDT-------
(In reply to comment #9)
> Is ppc64-diag 2.7.4 the version that is needed for POWER9 compatibility?

Yes.

-Vasant

Changed in ubuntu-power-systems:
status: New → Triaged
Manoj Iyer (manjo) on 2017-08-23
Changed in ubuntu-power-systems:
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Frédéric Bonnard (frediz) wrote :

Hi there,
I upgraded ppc64-diag to 2.7.4 in Debian Unstable.

F.

Matthias Klose (doko) wrote :

Vasant, or somebody else: how can the update be validated for the xenial and zesty uploads?

Changed in ppc64-diag (Ubuntu):
status: Triaged → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-14 01:38 EDT-------
(In reply to comment #12)
> Vasant, or somebody else: how can the update be validated for the xenial and
> zesty uploads?

First check the already installed version.
dpkg -l | grep ppc64-diag

Then install upgraded package version using "apt install" or "dpkg -i"
apt install ppc64-diag -> Latest ppc64-diag package will be installed

Or can be installed manually using "dpkg -i" command
dpkg -i <package_dpkg_file>

Installed package version can be tested using below command:
dpkg -l | grep ppc64-diag

Brian Murray (brian-murray) wrote :

Matthias's question is more about "how can we make sure that the new version of ppc64-diag is good?", rather than the response in comment #5.

This information is required as a part of the Ubuntu Stable Release update process to ensure that we don't introduce any regressions with updated software versions. For more details please see http://wiki.ubuntu.com/StableReleaseUpdates and add the appropriate information, Test Case and Regression Potential, to the bug description.

Manoj Iyer (manjo) on 2017-09-18
tags: added: triage-g
Changed in ubuntu-power-systems:
status: Triaged → Incomplete
assignee: Canonical Foundations Team (canonical-foundations) → nobody
tags: added: id-5983bf4ef0049018360ec9e9

An upload of ppc64-diag to xenial-proposed has been rejected from the upload queue for the following reason: "The bug this upload would fix is missing a Test Case which is required for the Stable Release Update process.".

Robie Basak (racb) wrote :

An upload of ppc64-diag to trusty-proposed has been rejected from the upload queue for the following reason: "The bug this upload would fix is missing a Test Case which is required for the Stable Release Update process.".

------- Comment From <email address hidden> 2017-10-14 11:32 EDT-------
Hello,

Sorry for the delay in response.. Our guys responded long back, but made it as *internal* comment. Hence it didn't reflect in launchpad :-(

We use avocado test framework to verify ppc64-diag. Test cases are available under avocado-misc test cases. Let us know if you need more details.

[1] https://github.com/avocado-framework-tests/avocado-misc-tests.git

generic/ras.py , generic/ras_extended.py contains test cases .

If you want to verify manually you can perform below steps :
PowerNV host :
- On powernv system 'opal_errd' daemon should run fine.
- `opal-elog-parse' --> lists error logging information
- diag_encl
- usysident/usysattn

- On PowerVM LPAR,
- diag_encl
- 'rtas_errd' daemon should run fine
- usysident/usysattn

Please reconsider this defect for 16.04 LTS release. Also note that Ubuntu 17.10 contains v2.7.4. We have verified that and it works fine.

-Vasant

------- Comment From <email address hidden> 2017-10-14 11:34 EDT-------
..and as described in launchpad #1715397, we need below commit on top of 2.7.4.

commit 608507ea8ed81209204feacbbde40e234d261141
Author: Vasant Hegde <email address hidden>
Date: Wed Sep 13 21:54:45 2017 +0530

scripts: Fix service scripts

-Vasant

Hello bugproxy, or anyone else affected,

Accepted ppc64-diag into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ppc64-diag/2.7.4-1~16.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ppc64-diag (Ubuntu Xenial):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-xenial
Brian Murray (brian-murray) wrote :

An update has also been added to -proposed for Ubuntu 14.04.

Changed in ppc64-diag (Ubuntu Trusty):
importance: Undecided → High
status: New → Fix Committed

------- Comment From <email address hidden> 2017-10-17 05:46 EDT-------
(In reply to comment #21)
> Hello bugproxy, or anyone else affected,
>
> Accepted ppc64-diag into xenial-proposed. The package will build now and be
> available at https://launchpad.net/ubuntu/+source/ppc64-diag/2.7.4-1~16.04
> in a few hours, and then in the -proposed repository.
>
> Please help us by testing this new package. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to
> enable and use -proposed.Your feedback will aid us getting this update out
> to other Ubuntu users.
>
> If this package fixes the bug for you, please add a comment to this bug,
> mentioning the version of the package you tested and change the tag from
> verification-needed-xenial to verification-done-xenial. If it does not fix
> the bug for you, please add a comment stating that, and change the tag to
> verification-failed-xenial. In either case, details of your testing will
> help us make a better decision.
>
> Further information regarding the verification process can be found at
> https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in
> advance!

Thanks! we will verify and update defect ASAP.

-Vasant

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-10-23 02:17 EDT-------
Verified on zz machine. Attaching the logs.

Thanks,
Pavithra

------- Comment (attachment only) From <email address hidden> 2017-10-23 02:18 EDT-------

Steve Langasek (vorlon) wrote :

This doesn't look like a successful verification to me, if the package failed to configure in the environment where you tested it.

------- Comment From <email address hidden> 2017-10-24 10:42 EDT-------
(In reply to comment #27)
> This doesn't look like a successful verification to me, if the package
> failed to configure in the environment where you tested it.

Looks like below commit is missing. Rest of the output looks good.

[Unfortunately we introduced regression in v2.7.4 release.. which is fixed by below commit]

commit 608507ea8ed81209204feacbbde40e234d261141
Author: Vasant Hegde <email address hidden>
Date: Wed Sep 13 21:54:45 2017 +0530

scripts: Fix service scripts
By mistake I added wrong condition check which resulted in unnecessary
log messages in PowerNV system. This patch fixes service script properly.
Fixes: 1f49a51c (scripts: Improve service scripts)
Reported-by: Fr?d?ric Bonnard <email address hidden>
Signed-off-by: Vasant Hegde <email address hidden>

-Vasant

Changed in ubuntu-power-systems:
status: Incomplete → Triaged
tags: added: triage-a
removed: triage-g
Steve Langasek (vorlon) on 2017-11-20
tags: added: verification-failed-trusty verification-failed-xenial
removed: verification-needed-xenial
Manoj Iyer (manjo) on 2017-11-21
Changed in ubuntu-power-systems:
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Dimitri John Ledkov (xnox) wrote :

The above mentioned patch is included in 2.7.4-2, but missing from 2.7.4-1~14.04 and 2.7.4-1~16.04.

Preparing updates to include debian/patches/fix-rtas_errd-unit.patch in xenial and trusty backports. zesty will be end of life soon enough to not warrant an update.

Dimitri John Ledkov (xnox) wrote :

Reuploaded into the unapproved queue, fixed-up SRUs for trusty and xenial.

Manoj Iyer (manjo) on 2017-11-28
Changed in ubuntu-power-systems:
status: Triaged → Fix Committed
tags: added: triage-g
removed: triage-a

Hello bugproxy, or anyone else affected,

Accepted ppc64-diag into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ppc64-diag/2.7.4-2~16.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed-xenial
removed: verification-failed-xenial
Changed in ppc64-diag (Ubuntu Zesty):
status: Triaged → Won't Fix
Brian Murray (brian-murray) wrote :

Hello bugproxy, or anyone else affected,

Accepted ppc64-diag into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ppc64-diag/2.7.4-2~14.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed-trusty
removed: verification-failed-trusty
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments